using System;
using System.Data;
using System.Collections;

using System.Windows.Forms;
////using bizFacade;
using System.Collections.Specialized;
//using MesWork;
//using SystemFramework;
using System.Threading;

namespace MesServerWork
{
    public partial class MIS_BASE
    {
        static object lockerWorkStart = new object();


     
        /// <summary>
        /// 工件到位与离开时，清空MES自身信号
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        static private  void WorkStart(object e)
        {
            lock (lockerWorkStart)
            {
                try
                {
                    DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                    string OpName = Convert.ToString(msgEvent.OpName);
                    int tagValue = Convert.ToInt32(msgEvent.TagValue);

                }
                catch (Exception err)
                {
                    ////ApplicationLog.WriteLog(err, "Function02:WorkStart");
                }
            }

        }

    }
}
